Author Topic: Bakery: impossible to update  (Read 463 times)

Offline svsanchez

  • Posts: 562
Bakery: impossible to update
« on: January 31, 2021, 04:08:13 AM »
Hello, I am trying to update a site from WB 2.8.3 with Bakery 1.59 to 2.12.2 but I am encountering a few problems with Bakery:

A) ERROR IN PRODUCTS PAGES

The products pages are showing the following error:

There was an uncatched exception
Call to a member function numRows() on null
in line (151) of (/modules/bakery/view_overview.php):


EXAMPLE URL: http://detodoendanza.com/pages/catalogo/ropa/leotardos/sin-manga.php

B) UPDATING THE MODULE
 B1) When I try to update the module to the latest version (1.84?), WB says that the module is ALREADY installed.
 B2) When I try to update the module to another version (1.60, 1.70, 1.78), WB says that it is impossible to update.

C) PRODUCT IMAGES

In the backend, when I go to edit a bakery page, the images do not appear, and instead I get this error:

There was an uncatched exception
Call to a member function numRows() on null
in line (348) of (/modules/bakery/modify_item.php):

How can I remove the errors / update the Bakery module?


Thank you...
« Last Edit: January 31, 2021, 04:15:32 AM by svsanchez »

Offline dbs

  • Betatester
  • **
  • Posts: 8624
  • Gender: Male
  • tioz4ever
    • WebsiteBaker - jQuery-Plugins - Module - Droplets - Tests
Re: Bakery: impossible to update
« Reply #1 on: January 31, 2021, 09:15:09 AM »
Hi, in Bakery 1.84 in line 151 of view_overview.php is a query for the images (same in modify_item.php ln 348).
Your messages means there are no images in the table.
So far i know you have to go to every product, open it and save it. The images should then appear.
Make a backup before.

If WB says the 1.84 is installed believe it. You can't update to a lower version.

Offline ruebenwurzel

  • Betatester
  • **
  • Posts: 8411
  • Gender: Male
  • Keep on Rockin
    • Familie Gallas Online
Re: Bakery: impossible to update
« Reply #2 on: January 31, 2021, 02:59:50 PM »
Hello,

Please read here: https://www.bakery-shop.ch/_old/#upgrade_notes and here: https://www.bakery-shop.ch/en/download/upgrading/


I think you have to upgrade from 1.5.9 to 1.7.1 first, then use the image_helper script, and after 1.7.1 is working properly you can upgrade to 1.8.4.

Matthias

Offline svsanchez

  • Posts: 562
Re: Bakery: impossible to update
« Reply #3 on: February 01, 2021, 03:32:49 AM »
Hello, thanks to both for your answers.

I have restored my WB 2.8.3 with Bakery 1.59 in order to upgrade first to 1.71

I ran the sync_img_helper.php file but it seems my 1.59 is missing the images table, as I get the following error (it is repeated 90 times):

Searching for all images in the Bakery image directory
Found 90 images in the Bakery image directory:
/home/detodo/public_html/media/bakery/images/
Updating database table wb_mod_bakery_image s
Item ID = 108

Warning: mysql_fetch_array() expects parameter 1 to be resource, boolean given in /home/detodo/public_html/framework/class.database.php on line 100

Warning: mysql_fetch_array() expects parameter 1 to be resource, boolean given in /home/detodo/public_html/framework/class.database.php on line 100
Table 'detodo_bake595.wb_m od_bakery_images' doesn't exist
Item ID = 26

Warning: mysql_fetch_array() expects parameter 1 to be resource, boolean given in /home/detodo/public_html/framework/class.database.php on line 100

Warning: mysql_fetch_array() expects parameter 1 to be resource, boolean given in /home/detodo/public_html/framework/class.database.php on line 100
Table 'detodo_bake595.wb_m od_bakery_images' doesn't exist


Looking at the Database via phpMyAdmin, I see there is NO wb_mod_bakery_image s table indeed:



However, the site is showing the images correctly (in WB 2.8.3 with Bakery 1.59):



ALSO: I have a download of Bakery 1.70 and Bakery 1.7, but not 1.71. Where can I download 1.71?

Offline svsanchez

  • Posts: 562
Re: Bakery: impossible to update
« Reply #4 on: February 01, 2021, 04:27:37 AM »
Hello again, I thought I had to run the sync_img_heper.php BEFORE upgrading. So I retried and decided to fitst upgrade to 1.60 and then 1.70

After upgrading to V1.70, I ran the sync_img_helper.php and this time it worked. So, I went ahead and upgraded to WB 2.12.2 and the Bakery pages are baing displayed with no error and with all the images.

However, now I couldn't add any product to the cart, getting the following message each time I tried to add something: The shopping cart is empty.

Fortunately, after upgrading to Bakery 1.78 the message was gone and now all seems to be working correctly!